
Foreman - Bug #143

SSL url for reports

12/21/2009 06:37 PM - Karl Pietri

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There is another bug similar to issue #129.  On the hosts list the link to the report is correct, but when i click on it it takes me to http

instead of https

    <td class="last_report-column " > 

      <img alt="True" height="18" src="/images/true.png?1260575361" width="18" /><a href="/hosts/1

53/report">about 1 hour</a> 

    </td> 

 Must be in the javascript somewhere causing it.

Related issues:

Is duplicate of Foreman - Bug #142: RRD graph URL should not get forced to HTTP Rejected 12/20/2009

Associated revisions

Revision 27c73a6a - 03/18/2014 08:20 PM - Ewoud Kohl van Wijngaarden

Be compliant with the Puppet Forge

This fixes #143, as reported by @ryanycoleman

The ~> dependency expression used here is not expressly supported by the

Puppet Forge and module tool. It may not always work as desired.

The currently supported expressions are documented here

1

.

[1]: http://docs.puppetlabs.com/puppet/latest/reference/modules_publishing.html#dependencies-in-the-modulefile

History

#1 - 12/22/2009 01:56 AM - Ohad Levy

- Status changed from New to Closed

marked as duplicate of #142

#2 - 12/22/2009 06:57 PM - Karl Pietri

This bug is not a duplicate of #142.  I made the suggested patch but the behavior still exists.  Perhaps i wasn't clear enough.  It seems like it is the

active scaffold javascript that is hijacking the link and redirecting to http instead of https.

if you go to the hosts page for the list of hosts (or the out of sync/error pages) the last report column has a proper url but when you click on it you get

taken to http:// instead.
